Bug 207796 - Review Request: eventlog - Syslog-ng v2 support library
Review Request: eventlog - Syslog-ng v2 support library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-23 07:17 EDT by Jose Pedro Oliveira
Modified: 2008-10-12 22:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-24 08:07:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-09-23 07:17:21 EDT
Spec URL: 
ftp://perl.di.uminho.pt/pub/fedora/eventlog.spec
SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/eventlog-0.2.5-1.src.rpm

Description:
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

Notes:
* This package is a syslog-ng v2 build requirement (static library)
  A syslog-ng v2 test srpm is available at the above download directory
Comment 1 Jason Tibbitts 2006-09-23 12:12:09 EDT
This builds fine for me; rpmlint on the insatlled rpm says:
   W: eventlog-devel ldd-failed /usr/lib64/libevtlog.a
which is sort of expected as ldd will just return "not a dynamic executable".

This package pretty well fits the exception to the no-static-libs rule, being a
dependency of a package that needs to be statically linked so that it can run
early in the boot sequence.
Comment 2 Jason Tibbitts 2006-09-23 13:50:34 EDT
It's not necessary to have:
   Requires(post): /sbin/ldconfig
   Requires(postun): /sbin/ldconfig
since you are using the 
  %post -p /sbin/ldconfig
form for your scriptlets.  Not a blocker, of course, but /sbin/ldconfig does
show up four times in the dependency list.

* source files match upstream:
   a6bdba91f88540cc69b398fd138d86cd  eventlog-0.2.5.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has one acceptable warning.
* final provides and requires are sane:
  eventlog-0.2.5-1.fc6.x86_64.rpm
   libevtlog.so.0()(64bit)
   eventlog = 0.2.5-1.fc6
  =
   /sbin/ldconfig
   libevtlog.so.0()(64bit)

  eventlog-devel-0.2.5-1.fc6.x86_64.rpm
   eventlog-devel = 0.2.5-1.fc6
  =
   eventlog = 0.2.5-1.fc6
   libevtlog.so.0()(64bit)

* %check is not present; no test suite upstream
* shared libraries are added to the regular linker search paths; ldconfig called
as necessary.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (ldconfig)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel subpackage.
* pkgconfig file is in the -devel subpackage.
* static libraries and unversioned .so files are in the -devel subpackage.
* static libraries are acceptable in this instance.
* no libtool .la droppings.

APPROVED
Comment 3 Jose Pedro Oliveira 2006-09-24 08:07:03 EDT
(In reply to comment #2)
> It's not necessary to have:
>    Requires(post): /sbin/ldconfig
>    Requires(postun): /sbin/ldconfig
> since you are using the 
>   %post -p /sbin/ldconfig
> form for your scriptlets.  Not a blocker, of course, but /sbin/ldconfig does
> show up four times in the dependency list.


The redundant requirements were removed.
Package imported and built for FC-5 and devel.

Thanks for the review.
Comment 4 Peter Lemenkov 2008-10-11 08:42:31 EDT
Package Change Request
======================
Package Name: eventlog
New Branches: EL-4 EL-5
Owners: peter silfreed

Note: I asked current eventlog maintainer, Douglas E. Warner, about EPEL-branches, and he hasn't any objections.
Comment 5 Kevin Fenzi 2008-10-12 22:36:15 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.